Межсайтовый скриптинг в Vanilla

Дата публикации:
02.06.2009
Дата изменения:
02.06.2009
Всего просмотров:
1376
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Vanilla 1.x
Уязвимые версии: Vanilla версии до 1.0.8

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "RequestName" в сценарии ajax/updatecheck.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: getvanilla.com

Решение: Установите последнюю версию 1.0.8 с сайта производителя.

Ссылки: http://lussumo.com/community/discussion/9524/vanilla-118-released/#Item_0
http://gsasec.blogspot.com/2009/05/vanilla-v117-cross-site-scripting.html

или введите имя

CAPTCHA